MantisBT

View Issue Details Jump to Notes ] Wiki ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003344mantisbtemailpublic2003-09-08 11:332012-08-03 09:19
Reporterdparsons 
Assigned Tojlatour 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.18.0rc1 
Target VersionFixed in Version0.19.0rc1 
Summary0003344: New Account Emails are being sent even when email notification is off
DescriptionWhen a new account is created an email is always sent regardless of whether email notifications are off. My installation does not require any email notification and so the signup & notification globals are off.

However, in user user_api.php user_create it calls the email_api.php email_signup function which has this code:

# Send signup email regardless of mail notification pref
# or else users won't be able to sign up
email_send( $v_email, lang_get( 'new_account_subject' ), $t_message );

This should be fixed to honour the email settings, otherwise systems which deliberately do not have email configured get a screen showing the email and smtp errors.

Dave
TagsNo tags attached.
Attached Files

- Relationships
related to 0004292closedthraxisp Sign-up sends a password for LDAP 
child of 0003987closedvboctor Mantis 0.19.0 Release 

-  Notes
User avatar (0004613)
dparsons (reporter)
2003-09-08 11:35

Apologies this should be under email feature and minor problem.

Dave
User avatar (0006998)
thraxisp (manager)
2004-08-15 19:22

fixed in CVS.

- Related Changesets
MantisBT: master 7e7550a6
Timestamp: 2004-08-16 00:24:30
Author: thraxisp
Details ] Diff ]
fix for 0003344: [email] New Account Emails are being sent even when email notification is off

git-svn-id: http://mantisbt.svn.sourceforge.net/svnroot/mantisbt/trunk@2853 [^] /?p=mantisbt.git;a=object;h=f5dc347c-c33d-0410-90a0-b07cc1902cb9
mod - core/email_api.php Diff ] File ]
mod - doc/ChangeLog Diff ] File ]
mod - config_defaults_inc.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2003-09-08 11:33 dparsons New Issue
2003-09-08 11:35 dparsons Note Added: 0004613
2004-02-27 09:45 vboctor Category bugtracker => email
2004-02-27 09:45 vboctor Severity feature => minor
2004-08-07 09:35 jlatour Relationship added child of 0003987
2004-08-07 09:36 jlatour Severity minor => major
2004-08-07 09:36 jlatour Status new => confirmed
2004-08-08 09:56 thraxisp Assigned To => thraxisp
2004-08-08 10:43 thraxisp Relationship added related to 0004292
2004-08-09 02:55 jlatour Assigned To thraxisp => jlatour
2004-08-09 02:55 jlatour Status confirmed => assigned
2004-08-09 02:55 jlatour Summary New Account Emails => New Account Emails are being sent even when email notification is off
2004-08-15 19:22 thraxisp Status assigned => resolved
2004-08-15 19:22 thraxisp Fixed in Version => 0.19.0rc1
2004-08-15 19:22 thraxisp Resolution open => fixed
2004-08-15 19:22 thraxisp Note Added: 0006998
2004-08-29 01:48 vboctor Status resolved => closed
2012-08-03 09:19 dregad Changeset attached => MantisBT master 7e7550a6


MantisBT 1.2.17 [^]
Copyright © 2000 - 2014 MantisBT Team
Time: 0.1329 seconds.
memory usage: 3,064 KB
Powered by Mantis Bugtracker